PerspectPerspectDocs
Go to Admin
View as Markdown

Collections

This reference is auto-generated from the mounted public Hono routes in perspectapiworkers. Admin and internal routes are excluded.

Base Path

/api/v2/sites/:siteName/collections

Endpoints

GET /api/v2/sites/:siteName/collections

List collections.

Path params: siteName

POST /api/v2/sites/:siteName/collections

Create collection.

Path params: siteName

DELETE /api/v2/sites/:siteName/collections/:id

Delete collection by id.

Path params: siteName, id

GET /api/v2/sites/:siteName/collections/:id

Get collection by id.

Path params: siteName, id

PATCH /api/v2/sites/:siteName/collections/:id

Update collection by id.

Path params: siteName, id

GET /api/v2/sites/:siteName/collections/:id/items

Get items.

Path params: siteName, id

POST /api/v2/sites/:siteName/collections/:id/items

Items action.

Path params: siteName, id

DELETE /api/v2/sites/:siteName/collections/:id/items/:itemId

Delete items.

Path params: siteName, id, itemId

GET /api/v2/sites/:siteName/collections/current

Get current collection.

Path params: siteName

Path Parameters

Parameter
siteName
id
itemId

This page is generated from the actual public Hono route table. Do not edit it by hand.